/*
Define SensorRegValues
*/

#define ModeCtrlWrite	0x84
#define EnctrlWrite		0x88
#define HeatCtrlWrite	0x8C
#define NavCtrlWrite	0x90
#define ClickCtrlWrite	0x94
#define MovCtrlWrite	0x98

#define StatusRead		0xC0	//Read only register
#define ModeCtrlRead	0xC4
#define	EnctrlRead		0xC8
#define HeatCtrlRead	0xCC
#define NavCtrlRead		0xD0
#define ClickCtrlRead	0xD4

#define MovCtrlRead		0xD8
#define NavigationRead	0xE0	//Read only register


//Status Register
#define CLICK 			0x80
#define MOV 			0x40
#define TRANSIT 		0x20
#define SLICE 			0x10
#define READERR 		0x08

//MODECTRL Register
#define MODE_STANDBY 	0x00
#define MODE_TEST 		0x08
#define MODE_CLICK 		0x10
#define MODE_NAV 		0x20
#define MODE_ACQ 		0x40
#define ANALOGRST 		0x04

//ENCTRL Register
#define CLICKEN 		0x40
#define MOVEN 			0x20
#define TRANSITEN 		0x10
#define SLICEN 			0x08
#define READERREN 		0x04

//HEATCTRL Register
#define HEAT 			0x40
#define WDOGEN 			0x20
#define HEATV_50 		0x00
#define HEATV_100 		0x08

//NAVCTRL Register
#define NAVFREQ_5800 	0x00
#define NAVFREQ_2900 	0x20
#define NAVFREQ_1900 	0x40
#define NAVFREQ_1500 	0x60
#define NAVV_00 		0x00
#define NAVV_01 		0x08
#define NAVV_10 		0x10
#define NAVV_11			0x18
#define CLICKV_00		0x00
#define CLICKV_01		0x02
#define CLICKV_10		0x04
#define CLICKV_11		0x06

//CLICKCTRL Register
#define CLICKFREQ_180	0x00
#define CLICKFREQ_90	0x20
#define CLICKFREQ_60	0x40
#define CLICKFREQ_45	0x60

#define CLICKDET_00		0x00
#define CLICKDET_01		0x08
#define CLICKDET_10		0x10
#define CLICKDET_11		0x18

#define CLICKCPT_5		0x00
#define CLICKCPT_7		0x01
#define CLICKCPT_10		0x02
#define CLICKCPT_12		0x03
#define CLICKCPT_16		0x04
#define CLICKCPT_20		0x05
#define CLICKCPT_25		0x06
#define CLICKCPT_31		0x07

#define FN 80
